
import util
import quals


#### Step 1: define your regional results

# map name of the regionals to a list of teams in order of place
# the list does not have to be any particular length
regionals_dict = {
  'Mountain': ['Northern Arizona', 'Colorado', 'BYU', 'Air Force', 'Southern Utah', 'Utah State', 'Colorado St.', 'Montana State', 'Weber State', 'Utah Valley', 'UTEP', 'Wyoming', 'Idaho State', 'Nevada', 'New Mexico'],
  'South Central': ['Arkansas', 'Texas', 'North Texas', 'Rice', 'Texas A&M', 'LSU', 'McNeese State', 'Lamar', 'Incarnate Word', 'Texas A&M-CC', 'New Orleans', 'Sam Houston', 'Abilene Christian', 'Baylor', 'Arkansas State'],
  'South': ['Ole Miss', 'Florida State', 'Alabama', 'North Florida', 'Mid. Tenn. State', 'Tennessee', 'Lipscomb', 'Belmont', 'Florida', 'Georgia', 'South Alabama', 'East Tenn. St.', 'Georgia Tech', 'Auburn', 'Tennessee Tech'],
  'Midwest': ['Oklahoma State', 'Iowa State', 'Tulsa', 'Minnesota', 'Wichita State', 'Eastern Illinois', 'Drake', 'Missouri', 'Bradley', 'South Dakota St.', 'Illinois', 'Nebraska', 'Iowa', 'Saint Louis', 'Kansas State'],
  'Great Lakes': ['Notre Dame', 'Wisconsin', 'Michigan', 'Butler', 'Indiana', 'Michigan State', 'Eastern Michigan', 'Purdue', 'Cincinnati', 'IUPUI', 'Toledo', 'Miami (Ohio)', 'Youngstown St.', 'Ohio State', 'Dayton'],
  'West': ['Stanford', 'Washington', 'Oregon', 'Gonzaga', 'Boise State', 'Portland', 'CBU', 'Washington St.', 'Santa Clara', 'UC Santa Barbara', 'UCLA', 'Idaho', 'Portland State', 'Cal Poly', 'Cal St. Fullerton'],
  'Southeast': ['Furman', 'Wake Forest', 'North Carolina', 'North Carolina St.', 'Duke', 'Charlotte', 'Liberty', 'Kentucky', 'Appalachian State', 'Virginia', 'Charleston Southern', 'Virginia Tech', 'Eastern Kentucky', 'William and Mary', 'Louisville'],
  'Mid-Atlantic': ['Princeton', 'Georgetown', 'Villanova', 'Navy', 'Penn', 'La Salle', 'Penn State', 'Pittsburgh', 'Temple', 'Lafayette', 'Lehigh', 'Bucknell', 'Monmouth', 'George Washington', "St. Joseph's (Pa.)"],
  'Northeast': ['Syracuse', 'Harvard', 'Providence', 'Iona', 'UMass Lowell', 'Stony Brook', 'Columbia', 'Dartmouth', 'Cornell', 'Yale', 'Army West Point', 'Binghamton', 'Buffalo', 'Boston University', 'Northeastern']
}


#### Step 2: call the program with the year ("yyyy" format)
#### and gender ("m" or "w") and regionals
teamlist, output_str = quals.main("2018", "m", regionals_dict)

#### Step 3: print the list of teams that qualify for nats
print("\n".join(teamlist))

#### Step 4: print the full output / justification
print(output_str)


